upgrade z 2.5.8. na 3.4.

Odpověď od Ernst
05. čen 2015 11:58 #122068
napíše to jen Can't DROP 'usertype'; check that column/key exists SQL=ALTER TABLE `tst_users` DROP KEY `usertype`;

A pak už jen spoustu chyb při kliknutí na položky ovládacího panelu

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
05. čen 2015 13:05 #122069
Kde to píše tuto chybu? Jaký kód spouštíte? V tom kódu pro vytvoření tabulky postinstall_messages není žádné DROP ani usertype...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
05. čen 2015 14:02 - 05. čen 2015 14:04 #122070
když spustím admiministraci joomly. dostanu se zase jen do ovládacích panelů a pak stejné jako předtím.
Tu tabulku jsem ani nevytvářel. frontend hlásí stejné chyby jako jsem psal výše.

Problém je, že nejde upgradovat ani čistá instalace 2.5.28

působí to na mně jako nějaký problém s databází, ale nemohu ho identifikovat, ale jist si tím nejsem

ono to vypadá, že prostě zcela nedoběhne upgrade

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
05. čen 2015 16:37 #122071
A V 2.5.28 jste pouštěl kontrolu struktury databáze? Před samotným převodem? Zkuste si převod na nějakém cvičném hostingu, kde Joomla funguje bez problémů (třeba subdoméně stávajícího webu), aby jste vyloučil problémy s Vaším localhostem.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
05. čen 2015 17:52 - 05. čen 2015 17:56 #122072
díky za rady kontrolu databáze jsem dělal.
Na vertrigu mi joomla 3.x funguje naprosto bez problémů. Zkusím ještě třeba xampp či ještě něco jiného.

pak zkusím ještě nějaký free webhosting, který má požadované PHP (máte tip?)
do subdomény si netroufnu, zvlášť když stávající hosting nemá požadované PHP.

Teď budu slavit padesátiny, tak si od toho dva dny odpočnu a třeba to pomůže

PS, teď jsem si uvědomil, že na nějakém testovacím webu to nevyzkouším, protože web má již více než 3GB a to mi free hosting nedá

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od zpetr
05. čen 2015 19:15 #122073
tak gratulka a vítej mezi dospělý ;o)
prubni Džumláček tam je to nastavený a ve spojeni s redmigratorem to jede bez problémů.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
06. čen 2015 09:48 #122074
Tak na Xampp.
Holá instalace 2.5..28 - upgrade na 3.4.1.
po přihlášení do administrace naběhne kontrolní panel a dál to pořád hlásí chyby.
Začínám z toho být nešťastný

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
08. čen 2015 20:36 - 08. čen 2015 20:37 #122077
Prakticky žádný pokrok, zkoušel jsem upgrade i na 2.5.1.a 3.3. a vždy chyba.
jen při upgrade na 2.5.1. to v průběhu upgrade napíše: Fatal error: Maximum execution time of 30 seconds exceeded in C:\xampp\htdocs\test\libraries\joomla\database\database\mysqli.php on line 382

Nenašel by se někdo ochotný, kdo by ve vertrigu nebo xamppu nainstaloval čistou 2.5.28 a udělal upgrade na na 3.x?
Rád bych věděl, zda je chyba jen u mně.

PS mám podezření na databázi, ale nedokáži si to nijak vysvětlit, natož detekovat problém

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
08. čen 2015 23:51 #122083
Během týdne nebo dvou to budu určitě dělat, tak prověřím, ale dělal jsem již několikrát (ne tedy přímo na 3.4.1) a vždy relativně bez problémů.
Ten execution time by mohl být problém u velké databáze. Zkuste si ho v php.ini navýšit na nějakou nesmyslnou hodnotu (třeba 900).

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
08. čen 2015 23:55 #122084
Databáze je obrovská, jdu ho změnit

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
09. čen 2015 00:05 - 09. čen 2015 00:07 #122086
Blbej dotaz, ale nemohu najít PHP.INI

jsem blbej, už jsem ho našel

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
09. čen 2015 00:24 #122087
Tak to nepomohlo.
Stále to hlásí Fatal error: Maximum execution time of 30 seconds exceeded in C:\Program Files (x86)\VertrigoServ\www\libraries\joomla\database\database\mysqli.php on line 382 a na tom řádku je $this->cursor = mysqli_query($this->connection, $sql);
Takže v PHP.ini to není.

Co hlavně nechápu, že nainstaluji holou 2.5.28 bez komponent, rozšíření, šablon atd. třetích stran.
Prostě jen to základní, co je v instalaci joomly. Udělám přesně dle návodu upgrade na 3.2.1 nebo 3.3.0 nebo 3.4.1. a vždy to zahlásí tuto chybu. Působí to na mně, že se do databáze nazapíší všechny tabulky.
Ale proč proboha?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od zpetr
09. čen 2015 01:12 #122088
Nechci být dotěrný s Džumláčkem, ale tam to funguje. Navíc je to portable tedy vyloučíš chybu svého nastavení nebo instalace. Je mi jasné, že ten název není asi úplně akční a může budit nedůvěru, ale Sváťa to nastavil dost dobře.
Je to jen 10 minut za prubnutí to stojí.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
09. čen 2015 03:35 #122089
Pokud to hlásí

ernst napsal: Maximum execution time of 30 seconds exceeded

Tak jste to nezměnil, pořád je tam 30 sekund. Právě z toho důvodu by se nemuseli založit všechny tabulky, skript se prostě nedostane do fáze jejich založení, protože než tam doběhne, tak mu vyprší časový limit.

Ještě by jste mohl zkusit Akeeba CMS update , používá trochu jiný princip instalace, třeba pomůže.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
09. čen 2015 09:10 #122090
to zpetr
džumláčka zkusím, už jsem ho nainstaloval

To Cony
v PHP.INI nebyl žádný timeout 30 sekund, všude jen 60 a to jsem navýšil. Pokud se tam má přidat nějaký parametr, tak netuším jaký.
Tu akeebu také zkusím.

Ale stále mně šíleně irituje, proč to vlastně nejde na holých instalacích joomly, kde by přeci žádný problém neměl být a postupuji přesně podle originálního návodu

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.